## EvDocumentForms

EvDocumentForms

## Functions

gboolean | ev_document_forms_document_is_modified ()
EvMappingList * | ev_document_forms_get_form_fields ()
gchar * | ev_document_forms_form_field_text_get_text ()
void | ev_document_forms_form_field_text_set_text ()
gboolean | ev_document_forms_form_field_button_get_state ()
void | ev_document_forms_form_field_button_set_state ()
gchar * | ev_document_forms_form_field_choice_get_item ()
gint | ev_document_forms_form_field_choice_get_n_items ()
gboolean | ev_document_forms_form_field_choice_is_item_selected ()
void | ev_document_forms_form_field_choice_select_item ()
void | ev_document_forms_form_field_choice_toggle_item ()
void | ev_document_forms_form_field_choice_unselect_all ()
void | ev_document_forms_form_field_choice_set_text ()
gchar * | ev_document_forms_form_field_choice_get_text ()

## Types and Values

| EvDocumentForms
struct | EvDocumentFormsInterface

## Object Hierarchy

        GInterface
        ╰── EvDocumentForms

## Description

## Functions

### ev_document_forms_document_is_modified ()

    gboolean
    ev_document_forms_document_is_modified
                                   (EvDocumentForms *document_forms);

### ev_document_forms_get_form_fields ()

    EvMappingList *
    ev_document_forms_get_form_fields (EvDocumentForms *document_forms,
                                       EvPage *page);

#### Returns

### ev_document_forms_form_field_text_get_text ()

    gchar *
    ev_document_forms_form_field_text_get_text
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field);

#### Returns

### ev_document_forms_form_field_text_set_text ()

    void
    ev_document_forms_form_field_text_set_text
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field,
                                    const gchar *text);

### ev_document_forms_form_field_button_get_state ()

    gboolean
    ev_document_forms_form_field_button_get_state
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field);

#### Returns

### ev_document_forms_form_field_button_set_state ()

    void
    ev_document_forms_form_field_button_set_state
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field,
                                    gboolean state);

### ev_document_forms_form_field_choice_get_item ()

    gchar *
    ev_document_forms_form_field_choice_get_item
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field,
                                    gint index);

#### Returns

### ev_document_forms_form_field_choice_get_n_items ()

    gint
    ev_document_forms_form_field_choice_get_n_items
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field);

#### Returns

### ev_document_forms_form_field_choice_is_item_selected ()

    gboolean
    ev_document_forms_form_field_choice_is_item_selected
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field,
                                    gint index);

#### Returns

### ev_document_forms_form_field_choice_select_item ()

    void
    ev_document_forms_form_field_choice_select_item
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field,
                                    gint index);

### ev_document_forms_form_field_choice_toggle_item ()

    void
    ev_document_forms_form_field_choice_toggle_item
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field,
                                    gint index);

### ev_document_forms_form_field_choice_unselect_all ()

    void
    ev_document_forms_form_field_choice_unselect_all
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field);

### ev_document_forms_form_field_choice_set_text ()

    void
    ev_document_forms_form_field_choice_set_text
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field,
                                    const gchar *text);

### ev_document_forms_form_field_choice_get_text ()

    gchar *
    ev_document_forms_form_field_choice_get_text
                                   (EvDocumentForms *document_forms,
                                    EvFormField *field);

#### Returns

## Types and Values

### EvDocumentForms

    typedef struct _EvDocumentForms EvDocumentForms;

### struct EvDocumentFormsInterface

    struct EvDocumentFormsInterface {
    	GTypeInterface base_iface;

    	/* Methods  */
    	EvMappingList *(* get_form_fields)                    (EvDocumentForms   *document_forms,
    							       EvPage            *page);
    	gboolean       (* document_is_modified)               (EvDocumentForms   *document_forms);
    	gchar         *(* form_field_text_get_text)           (EvDocumentForms   *document_forms,
    							       EvFormField       *field);
    	void           (* form_field_text_set_text)           (EvDocumentForms   *document_forms,
    							       EvFormField       *field,
    							       const gchar       *text);
    	gboolean       (* form_field_button_get_state)        (EvDocumentForms   *document_forms,
    							       EvFormField       *field);
    	void           (* form_field_button_set_state)        (EvDocumentForms   *document_forms,
    							       EvFormField       *field,
    							       gboolean           state);
    	gchar         *(* form_field_choice_get_item)         (EvDocumentForms   *document_forms,
    							       EvFormField       *field,
    							       gint               index);
    	gint           (* form_field_choice_get_n_items)      (EvDocumentForms   *document_forms,
    							       EvFormField       *field);
    	gboolean       (* form_field_choice_is_item_selected) (EvDocumentForms   *document_forms,
    							       EvFormField       *field,
    							       gint               index);
    	void           (* form_field_choice_select_item)      (EvDocumentForms   *document_forms,
    							       EvFormField       *field,
    							       gint               index);
    	void           (* form_field_choice_toggle_item)      (EvDocumentForms   *document_forms,
    							       EvFormField       *field,
    							       gint               index);
    	void           (* form_field_choice_unselect_all)     (EvDocumentForms   *document_forms,
    							       EvFormField       *field);
    	void           (* form_field_choice_set_text)         (EvDocumentForms   *document_forms,
    							       EvFormField       *field,
    							       const gchar       *text);
    	gchar         *(* form_field_choice_get_text)         (EvDocumentForms   *document_forms,
    							       EvFormField       *field);
    };